Print Friendly

# Class Ext.SplitBar.AbsoluteLayoutAdapter

Package: | Ext
Class: | SplitBar.AbsoluteLayoutAdapter
Extends: | SplitBar.BasicLayoutAdapter
Defined In: | SplitBar.js

Adapter that moves the splitter element to align with the resized sizing element. Used with an absolute positioned SplitBar.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| SplitBar.AbsoluteLayoutAdapter.BOTTOM : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is positioned under splitter element
| SplitBar.AbsoluteLayoutAdapter.HORIZONTAL : Number | SplitBar.AbsoluteLayoutAdapter
<static> Orientation constant - Create a horizontal SplitBar
| SplitBar.AbsoluteLayoutAdapter.LEFT : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is to the left of the splitter element
| SplitBar.AbsoluteLayoutAdapter.RIGHT : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is to the right of the splitter element
| SplitBar.AbsoluteLayoutAdapter.TOP : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is positioned above the splitter element
| SplitBar.AbsoluteLayoutAdapter.VERTICAL : Number | SplitBar.AbsoluteLayoutAdapter
<static> Orientation constant - Create a vertical SplitBar

## Public Methods

Method | Defined By
--- | ---
| getElementSize(`Ext.SplitBar s`) : void | SplitBar.BasicLayoutAdapter
Called before drag operations to get the current size of the resizing element.
| setElementSize(`Ext.SplitBar s`, `Number newSize`, `Function onComplete`) : void | SplitBar.BasicLayoutAdapter
Called after drag operations to set the size of the resizing element.

## Public Events

This class has no public events.

## Property Details

### SplitBar.AbsoluteLayoutAdapter.BOTTOM

`public Number SplitBar.AbsoluteLayoutAdapter.BOTTOM`
<static> Placement constant - The resizing element is positioned under splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### SplitBar.AbsoluteLayoutAdapter.HORIZONTAL

`public Number SplitBar.AbsoluteLayoutAdapter.HORIZONTAL`
<static> Orientation constant - Create a horizontal SplitBar
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### SplitBar.AbsoluteLayoutAdapter.LEFT

`public Number SplitBar.AbsoluteLayoutAdapter.LEFT`
<static> Placement constant - The resizing element is to the left of the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### SplitBar.AbsoluteLayoutAdapter.RIGHT

`public Number SplitBar.AbsoluteLayoutAdapter.RIGHT`
<static> Placement constant - The resizing element is to the right of the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### SplitBar.AbsoluteLayoutAdapter.TOP

`public Number SplitBar.AbsoluteLayoutAdapter.TOP`
<static> Placement constant - The resizing element is positioned above the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### SplitBar.AbsoluteLayoutAdapter.VERTICAL

`public Number SplitBar.AbsoluteLayoutAdapter.VERTICAL`
<static> Orientation constant - Create a vertical SplitBar
This property is defined by SplitBar.AbsoluteLayoutAdapter.

## Method Details

### getElementSize

`public function getElementSize(`Ext.SplitBar s`)`
Called before drag operations to get the current size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

### setElementSize

`public function setElementSize(`Ext.SplitBar s`, `Number newSize`, `Function onComplete`)`
Called after drag operations to set the size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter
- `newSize` : Number
  The new size to set
- `onComplete` : Function
  A function to be invoke when resizing is complete

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.